/*	Commands:
	MOD-RS485ISO:				MOD-IO2
	Write Enable:	0x11;			Relay1 ON:	0x01;
	Write Disable:	0x21;			Relay2 ON:	0x02;
	Read Enable:	0x12;			Relay1 OFF:	0x05;
	Read Disable:	0x22;			Relay2 OFF:	0x06;
	Both Enable:	0x13;
	Both Disable:	0x23
 	
 	First Address:	0xF0;
 	Last Address:	0xFF;

 */


/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#include <p18f26j50.h>           /* Global Header File */



#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/



/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/

void main(void)
{

	char addr;


    ConfigureOscillator();
    InitApp();
    SendCommand(0x00,0x00);
    while(1)
    {

	    /*MOD-RS485-ISO*/
	    SendCommand(0xF0, 0x11);UART();
	    SendCommand(0xF0, 0x21);UART();
	    SendCommand(0xF1, 0x11);UART();
	    SendCommand(0xF1, 0x21);UART();

	    /*MOD-IO2*/
	    SendCommand(0xF0, 0x01);
	    SendCommand(0xF0, 0x02);
	    SendCommand(0xF0, 0x05);
	    SendCommand(0xF0, 0x06);
	    SendCommand(0xF1, 0x01);
	    SendCommand(0xF1, 0x02);
	    SendCommand(0xF1, 0x05);
	    SendCommand(0xF1, 0x06);





	    while(!PORTBbits.RB0){
		    LATA &= (~0x2F);
		LATC &= (~0x07);
		    ScanAddresses();
		    addr = FirstFree();
		    SendCommand(0xFF, addr);
		    LATA |= 0x2F;
		    LATC |= 0x07;
		    while(!PORTBbits.RB0);
			
			
		SendCommand(0x00, 0x00);
	    }

    }

}

