/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/

/* TODO Application specific user parameters used in user.c may go here */

#define TXD_TRIS TRISCbits.TRISC6
#define TXD_LAT	LATCbits.LATC6
#define TXD_PORT PORTCbits.RC6
#define RXD_TRIS TRISCbits.TRISC7
#define RXD_LAT LATCbits.LATC7
#define RXD_RORT PORTCbits.RC7
#define SDA_TRIS TRISBbits.TRISB5
#define SDA_LAT LATBbits.LATB5
#define SDA_PORT PORTBbits.RB5
#define SCL_TRIS TRISBbits.TRISB4
#define SCL_LAT LATBbits.LATB4
#define SCL_PORT PORTBbits.RB4

// Define I2C commands
#define RELAY1_OPEN 0x01
#define RELAY2_OPEN 0x02
#define RELAY1_CLOSE 0x05
#define RELAY2_CLOSE 0x06

//Define Addresses Range 0xF0 - 0xFF

/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/

/* TODO User level functions prototypes (i.e. InitApp) go here */

void InitApp(void);         /* I/O and Peripheral Initialization */
void UART(void);
char SendCommand(char address, char command);
void StartI2C(void);
void StopI2C(void);
char WriteByte(short data);
void Delay(void);
void ScanAddresses(void);
char FirstFree(void);
void Erase_Flash(void);




